how to know php build directory?

Discussion in 'Server Operation' started by payne, May 20, 2007.

  1. payne

    payne New Member

    i need it for eaccelerator installiation.
    http://eaccelerator.net/wiki/InstallFromSource
    says that i need to know where is my php5 installiation.
    I had php4 ,but when i removed php4 and installed php5, phpize information shows that it is from php4. But i need it for php5,because eaccelerator tries to install for php4,not for php5 :( Also php command not found in shell
     
    Last edited: May 20, 2007
  2. Ben

    Ben ISPConfig Developer ISPConfig Developer

    how did you install php4 / php5? With any package manager or what exactly did you do?
     
  3. payne

    payne New Member

    I installed php4 and php5 with apt-get install. Php4 removed with apt-get remove. After removement of php4 some files left,and i removed them manually.Maybe i without intention deleted some usefull files ;/
     
  4. falko

    falko Super Moderator ISPConfig Developer

    Please make sure that the package php5-dev is installed.
     
  5. payne

    payne New Member

    Thanks,falko.now i installed eaccelerator.I did everything as http://eaccelerator.net/wiki/InstallFromSource says.
    I changed php.ini,added:
    Code:
    extension="eaccelerator.so"
    eaccelerator.shm_size="16"
    eaccelerator.cache_dir="/tmp/eaccelerator"
    eaccelerator.enable="1"
    eaccelerator.optimizer="1"
    eaccelerator.check_mtime="1"
    eaccelerator.debug="0"
    eaccelerator.filter=""
    eaccelerator.shm_max="0"
    eaccelerator.shm_ttl="0"
    eaccelerator.shm_prune_period="0"
    eaccelerator.shm_only="0"
    eaccelerator.compress="1"
    eaccelerator.compress_level="9"
    
    restarted apache,but when i look in phpinfo there isn't any field of eaccelerator.There is eaccelerator.so in php5 extension dir,but it's marked green,however other extensions are grey in Midnight Commander.Maybe with this something wrong?
     
    Last edited: May 21, 2007
  6. payne

    payne New Member

    I thought that maybe it's cause of my php version, that is php5.0.5 .
    On http://trac.lighttpd.net/xcache/ says that php5.0 is not supported,but xcache is not equal to Eaccelerator? :confused:
     
  7. payne

    payne New Member

    I solved my problem :) It was in eAccelerator version 0.9.5.1 , i downloaded 0.9.5 version and it works fine for me.
     
    Last edited: May 21, 2007

Share This Page